be.fgov.ehealth.rn.baselegaldata.v1

## Class BestIdentifierType

- java.lang.Object
- - be.fgov.ehealth.rn.baselegaldata.v1.BestIdentifierType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:49:12+01:00",
                 comments="JAXB RI v2.3.7")
      public class BestIdentifierType
      extends Object
      implements Serializable

  Unique identificator of a BeSt object.

  Java class for BestIdentifierType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="BestIdentifierType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Namespace" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}BestIdentifierComponentType" minOccurs="0"/>
               <element name="ObjectIdentifier" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}BestIdentifierComponentType" minOccurs="0"/>
               <element name="VersionIdentifier" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}BestIdentifierComponentType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BestIdentifierType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNamespace()` Gets the value of the namespace property.
    `String` | `getObjectIdentifier()` Gets the value of the objectIdentifier property.
    `String` | `getVersionIdentifier()` Gets the value of the versionIdentifier property.
    `void` | `setNamespace(String value)` Sets the value of the namespace property.
    `void` | `setObjectIdentifier(String value)` Sets the value of the objectIdentifier property.
    `void` | `setVersionIdentifier(String value)` Sets the value of the versionIdentifier property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BestIdentifierType

          public BestIdentifierType()

  - ### Method Detail

    - #### getNamespace

          public String getNamespace()

      Gets the value of the namespace property.
      Returns:
        possible object is `String`

    - #### setNamespace

          public void setNamespace(String value)

      Sets the value of the namespace property.
      Parameters:
        `value` - allowed object is `String`

    - #### getObjectIdentifier

          public String getObjectIdentifier()

      Gets the value of the objectIdentifier property.
      Returns:
        possible object is `String`

    - #### setObjectIdentifier

          public void setObjectIdentifier(String value)

      Sets the value of the objectIdentifier property.
      Parameters:
        `value` - allowed object is `String`

    - #### getVersionIdentifier

          public String getVersionIdentifier()

      Gets the value of the versionIdentifier property.
      Returns:
        possible object is `String`

    - #### setVersionIdentifier

          public void setVersionIdentifier(String value)

      Sets the value of the versionIdentifier property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPRACTICALNURSE 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.